# gcu::FormulaResidue Class Reference

`#include <formula.h>`

Inheritance diagram for gcu::FormulaResidue:

List of all members.

## Public Member Functions

| FormulaResidue (Residue const *res, char const *symbol, int Z)
virtual | ~FormulaResidue ()
std::string | Markup ()
std::string | Text ()
void | BuildRawFormula (std::map< int, int > &raw)
int | GetValence ()
int | GetZ (void)

## Public Attributes

Residue const * | residue
std::string | Symbol

## Detailed Description

class FormulaResidue gcu/formula.h

Definition at line 233 of file formula.h.

## Constructor & Destructor Documentation

gcu::FormulaResidue::FormulaResidue | ( | Residue const * | res,
|  | char const * | symbol,
|  | int | Z |
| ) |  |  |

Parameters:

  | res | a gcu::Residue.
  | symbol | the atoms group symbol
  | Z | the atomic number of the element with the same symbol or 0.

virtual gcu::FormulaResidue::~FormulaResidue | ( |  | ) | `[virtual]`

The destructor.

## Member Function Documentation

std::string gcu::FormulaResidue::Markup | ( |  | ) | `[virtual]`

Returns:
  the string representation of the element as a markup.

Reimplemented from gcu::FormulaElt.

std::string gcu::FormulaResidue::Text | ( |  | ) | `[virtual]`

Returns:
  the string representation of the element as raw text.

Reimplemented from gcu::FormulaElt.

void gcu::FormulaResidue::BuildRawFormula | ( | std::map< int, int > & | raw | ) | `[virtual]`

Parameters:

  | raw | where to put the result

Adds the number of atoms of each element to the map taking the stoichiometry coefficient into account.

Implements gcu::FormulaElt.

int gcu::FormulaResidue::GetValence | ( |  | ) | `[virtual]`

Returns:
  the (most probable) valence of the element.

Implements gcu::FormulaElt.

gcu::FormulaResidue::GetZ | ( | void |  | ) | `[inline]`

Returns:
  the atomic number of the element with the same symbol or 0.

Definition at line 276 of file formula.h.

## Member Data Documentation

Residue const* gcu::FormulaResidue::residue

The gcu::Residue correponding to the found symbol.

Definition at line 268 of file formula.h.

std::string gcu::FormulaResidue::Symbol

The symbol of the atoms group.

Definition at line 272 of file formula.h.

The documentation for this class was generated from the following file:

- formula.h